commit:     57fb6dcae199c37d22df24445d287cacb65f5556
Author:     Mario Haustein <mario.haustein <AT> hrz <DOT> tu-chemnitz <DOT> de>
AuthorDate: Tue Apr 19 19:34:14 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon May 16 05:19:19 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57fb6dca

dev-util/unicorn: version bump 2.0.0-rc7

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Mario Haustein <mario.haustein <AT> hrz.tu-chemnitz.de>
Closes: https://github.com/gentoo/gentoo/pull/25115
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/unicorn/Manifest                 |  1 +
 dev-util/unicorn/unicorn-2.0.0_rc7.ebuild | 80 +++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/dev-util/unicorn/Manifest b/dev-util/unicorn/Manifest
index 300b01d9f9f5..7b99a7f736b8 100644
--- a/dev-util/unicorn/Manifest
+++ b/dev-util/unicorn/Manifest
@@ -1 +1,2 @@
 DIST unicorn-2.0.0_rc6.tar.gz 3968714 BLAKE2B 
dcb42126b8a2b9f0780977c73f5e170b5ad438c4f0eca82293e47d52575de27f18440a2d71b9cd17d7b488ae1d46c8197eabbbf7fd92f196bfb7d46c197937fd
 SHA512 
a80a9408bc5b41b6961049849a8a63f69399325a4e4d8e41f4512173d24a837048d9ac03064bc16eb129e5f52828507baa059fda64430ec52b4f9ef339d61f0d
+DIST unicorn-2.0.0_rc7.tar.gz 3984228 BLAKE2B 
a3e6a0d6084780b3a47837a6c8f9df9ec0eb176ff041881fbf2dc879eee11c70796b4f8e4ba784f553e383b8537abe9a559e627afc2fcaf712e83bfc5daaf11c
 SHA512 
ae7e2b35032a8cff516f27edc58ab41708c2acd05b8feebb127501d0bc990a6722ba8439876ea147a2025372500d5df4bd7db86fddf215be63d070218a85a27e

diff --git a/dev-util/unicorn/unicorn-2.0.0_rc7.ebuild 
b/dev-util/unicorn/unicorn-2.0.0_rc7.ebuild
new file mode 100644
index 000000000000..01c1ff6ba6bf
--- /dev/null
+++ b/dev-util/unicorn/unicorn-2.0.0_rc7.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PV=${PV/_/-}
+
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_OPTIONAL=1
+PYTHON_COMPAT=( python3_{9..10} )
+inherit cmake distutils-r1
+
+DESCRIPTION="A lightweight multi-platform, multi-architecture CPU emulator 
framework"
+HOMEPAGE="https://www.unicorn-engine.org";
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/unicorn-engine/unicorn";
+else
+       
SRC_URI="https://github.com/unicorn-engine/unicorn/archive/${MY_PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+LICENSE="BSD-2 GPL-2 LGPL-2.1"
+SLOT="0/2"
+IUSE="python static-libs"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+DEPEND="${PYTHON_DEPS}
+       dev-libs/glib:2"
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+BDEPEND="virtual/pkgconfig
+       python? ( ${DISTUTILS_DEPS} )"
+
+UNICORN_TARGETS="x86 arm aarch64 riscv mips sparc m68k ppc s390x"
+
+wrap_python() {
+       if use python; then
+               # src_prepare
+               # do not compile C extensions
+               export LIBUNICORN_PATH=1
+
+               pushd bindings/python >/dev/null || die
+               distutils-r1_${1} "$@"
+               popd >/dev/null || die
+       fi
+}
+
+src_prepare() {
+       # Build from sources
+       rm -r bindings/python/prebuilt || die "failed to remove prebuilt files"
+
+       cmake_src_prepare
+       wrap_python ${FUNCNAME}
+}
+
+src_configure(){
+       local mycmakeargs=(
+               -DBUILD_SHARED_LIBS=$(usex !static-libs)
+               -DUNICORN_ARCH="${UNICORN_TARGETS// /;}"
+       )
+
+       cmake_src_configure
+
+       wrap_python ${FUNCNAME}
+}
+
+src_compile() {
+       cmake_src_compile
+
+       wrap_python ${FUNCNAME}
+}
+
+src_install() {
+       cmake_src_install
+
+       wrap_python ${FUNCNAME}
+}

Reply via email to